package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.SysRole;

import java.util.List;

/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface SysRoleService extends IService<SysRole> {

    /**
     * 根据userId查询角色
     *
     * @param userId
     * @return
     */
    List<SysRole> listRolesByUserId(Long userId);
}
