package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.sop.business.entity.SysRole;
import com.qmth.sop.business.mapper.SysRoleMapper;
import com.qmth.sop.business.service.SysRoleService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 角色表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
@Service
public class SysRoleServiceImpl extends ServiceImpl<SysRoleMapper, SysRole> implements SysRoleService {

    /**
     * 根据userId查询角色
     *
     * @param userId
     * @return
     */
    @Override
    public List<SysRole> listRolesByUserId(Long userId) {
        return this.baseMapper.listRolesByUserId(userId);
    }
}
